%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Changes from version 1.1 to 1.2 of Ishmail:

SUMMARY

   * No more memory mapping
   * IMAP and POP support
   * Encryption, decryption and digital signatures
   * Auto-save compositions
   * Edit incoming messages
   * New mail indication in all folders
   * Colored text markup
   * Choice of outgoing text type
   * Highlight modified folders
   * Support for CDE and VUE "SAVE YOURSELF" protocol.

NOTE:

   * Version 1.2 is more strict about the "From " line syntax that it looks
     for as a message separator in Unix mail folders.  As a consequence,
     version 1.2 will not open some older Ishmail folders that were written
     with incorrect "From " lines.  To fix the folders that are causing
     a problem, download the script:

	<ftp://ftp.halsoft.com/halsoft/ishmail-1.2-beta/folder-fix>

     and run it as:

	folder-fix < old-folder > new-folder

BUG FIXES:

   * Memory mapping was responsible for a large number of program crashes
     and is no longer used.  In general, memory usage should be lower and
     performance faster.

   * MIME icons should now be drawn in the correct position in the reading and
     composition windows under all window managers.

   * RFC1522 encoded message headers are now shown in decoded form in the
     message list.

   * The "Recent Folders" menu now remains current when torn off.

   * Updating the web browser command now has an immediate effect.

   * A full /tmp filesystem is now reported correctly when sending mail.

NEW FEATURES:

- General

   * Support for IMAP2 and IMAP4 mail servers.  A permanent IMAP server can
     be specified or an individual folder on an IMAP server can be accessed
     by adding the text "{server-name}" to the beginning of the folder name.
     For example: "{server}/var/spool/mail/user".

   * Support for POP mail servers.  Ishmail will call an external agent (like
     "popclient") to check for new mail and transfer it locally.  popclient
     can be configured to leave the mail on the server or delete it.

   * You can now request that all folder icons display whether new mail is
     present.  This is shown as an envelope sticking out of the folder and the
     folder name drawn in italic.  To enable this feature, select
     "Show folder status" in the Options->Folders dialog.  This is turned off
     by default due to extra overhead associated with checking the status of
     all messages in the folder.

   * Folders that have changed (ie. those that need saving) are now drawn
     with their names in bold face.  This feature incurs no additional
     overhead.

   * The binary .folder-toc file has been replaced with an ascii .folder-idx
     file.  The new index file stores the number of lines and bytes in the
     message body and the message id.  The idx scheme should be faster and
     more reliable than the toc scheme.

   * Sun mailtool messages are no longer automatically converted to MIME.
     They can be converted manually using the "Message->Filter->Convert to MIME"
     function in the reading window.

   * The last message selection in each folder is now remembered and restored
     when the folder is activated.

   * Added "Save-To-Folder (Pattern)" function.  This is similar to the
     "Save-To-Folder (Default)" function except that in the latter all messages
      go to a single folder (the default for the first message).  In the new
      function, each message goes to it's own default folder.

   * If you are on a machine where the IP address varies from session to
     session, we can now generate a node-locked license that does not depend
     on the IP address.  This feature is availabe on x86-based machines only.

   * In the Options->Application dialog, you may set the mail check interval
     to 0 to disable mail checking.

   * Pressing Ctrl-/ will now bring up a search dialog in most multi-line
     text widgets.

   * The program will now respond to a WM_SAVE_YOURSELF message from the CDE
     or VUE desktop and exit cleanly.  It will also set the WM_COMMAND
     property for use when starting the next time.

- Composition

   * Support for encryption and digital signatures in outgoing messages.
     Uses multipart/encrypted and multipart/signed in MIME messages.  All
     functions are accessed through external shell scripts so you may
     use any crypto function you have available.  Ishmail comes with the
     following scripts in the bin directory:

     ishencrypt		- PGP encrypt/sign a file
     ishencryptmime	- PGP encrypt/sign a file and generate a
     			  multipart/encrypted or multipart/signed output file.

   * Added an auto-save function to the composition window to support
     crash recovery.  You can specify how often the composition should be
     saved (in seconds).  Ishmail will check for saved compositions during
     startup and ask if you wish to restart the edit.

   * Added "Message->Include->Text" for easier inclusion of text files.

   * You can now select and "outgoing text type" in addition to
     "outgoing mail type".  This allows you to send MIME mail containing
     plain text.  Previously, all MIME mail used text/enriched.

   * Color markup can now be added.  Select a range of text and apply one of
     the Edit->Color commands.  Use color "None" to remove color markup.

   * Several messages can now be resent to the same person/people at one time.
     For this reason, the message body is no longer shown during a resend.

   * Multiple message numbers can now be specified in the Include->Message
     function.

   * The "hideAddresses" resource now exists to allow you to keep the members
     of certain aliases hidden in an outgoing message.  For example, if the
     alias "customers" had a value of "chris@a.com, terry@b.com, pat@c.com,
     robin@d.com", the following line added to your .ishmailrc file will
     allow you to send mail to your customers while keeping their identities
     secret:

	Ishmail*hideAddresses:	customers

     Any mail to the "customers" alias will be sent to chris, terry, pat and
     robin but the mail message will show only:

	To: customers

     hideAddresses is a tab or comma-separated list of aliases.

     As an alternative, any "To:" header you type in the "Additional Headers"
     field will be the one visible in the outgoing message.  The recipient
     addresses will still come from the regular "To" field but the message
     they receive will show the alternate "To" header.  For example, if the
     "To" field contains "larry@stooge.com, moe@stooge.com, curly@stooge.com"
     and the "Additional Headers" field contains "To: The Three Stooges", the
     mail alias will be sent to larry, moe and curly but the mail message will
     show only:

	To: The Three Stooges

- Reading

   * Support for decryption and digital signature verification in incoming
     messages.  Added entries for multipart/encrypted and multipart/signed to
     mailcap file.  All functions are accessed through external shell scripts
     so you may use any crypto function you have available.  Ishmail comes
     with the following scripts in the bin directory:

     ishdecrypt		- PGP decrypt/authenticate a file
     showpgp		- display multipart/encrypted with
     			  application/pgp-encrypted protocol
     showpgpsign	- display multipart/signed with
     			  application/pgp-signature protocol

   * Messages in folders can now be edited.  When a message is edited, the
     original is marked for deletion and a new message is added just after.
     This allows you to back out changes if you later change your mind.
     ****************************** NOTE **********************************
     *  IF YOU EXIT WITHOUT SAVING THE FOLDER, YOUR EDITS WILL BE LOST.   *
     ****************************** NOTE **********************************

   * The "Reread mailcap file" function has been removed.  The mailcap files
     are now re-read automatically if they are changed.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Changes from version 1.0.5 to 1.1 of Ishmail:

IMPORTANT - notes about resource files, for people using version 1.0.5:

   * Based on a recommendation from the X Consortium, resources in all Ishmail
     resource files are now prefixed with the string "Ishmail".  If you have
     any custom resources in a file such as $HOME/app-defaults/Ishmail, you
     may need to add "Ishmail*" before every resource in order for them to
     continue to be picked up.  The program does this automatically to your
     .ishmailrc file.

   * There are numerous changes in the new version. Many things that formerly
     required hand-editing the resource files can now be set from within the
     program's dialogs. You may want to rename your $HOME/.ishmailrc file and
     $HOME/app-defaults/Ishmail files, run the program and observe the new
     default behavior, and experiment with things you can customize from the
     Options menu. Then, selectively add things from your old resource files,
     if necessary.

   * Older versions of Ishmail made resource changes to $HOME/.Xdefaults.
     Sometimes, resources in the .Xdefaults file have conflicted with other
     Ishmail files. We suggest you delete Ishmail resources from .Xdefaults.

NEW FEATURES:

- General

   * Mail folders and the help database are now memory mapped for quicker
     access.  You may disable memory mapping by passing the "-noMemMap"
     command line switch or setting the resource "Ishmail*memoryMappingOk" to
     False.

   * A table-of-contents file is now created for each folder.  This allows
     quicker processing of the folders and for crash recovery. 

   * World Wide Web addresses (URL's) in any mail message are highlighted.
     Pressing Ctrl-left-mouse-button on the highlighted text will start up
     your Web browser for that address.

   * The following message status indicators have been added:

     > - Message has been replied to.
     F - Message has been forwarded.
     B - Message has been resent (bounced).
     P - Message has been printed.
     | - Message has been filtered (passed to a command).

     These are saved in the table-of-contents file, and will be remembered
     if you exit and restart the program. The Message menu includes a Set
     Status option, that lets you turn any of these on or off.

   * The message search function now supports "Find Previous" and "Find All".

   * The message search function now allows all headers and the message body
     to be searched.

   * The new-mail alert commands can now be passed the contents of the message,
     just the headers or just the body. This lets you define commands which
     process the message contents, and do things such as generate automatic
     replies.

   * New mail can now be automatically saved to other folders when it arrives.
     The "Preferences->Automatic Filing" dialog allows you to specify patterns
     and corresponding folder names.  When new mail arrives, the patterns are
     checked against that message.  If there is a match, the message is saved
     to the specified folder and marked for deletion in the in-box.

   * Each folder may now have its own sort criteria.  From the Options->Sort
     dialog you may choose to have the sort applied to:
     
     1) Only the current folder.
     2) Only the selected folders.
     3) All folders.
     4) As a fallback sort.  This sort applies to all folders that don't have
        their own sort rules.

   * Messages may now be sorted by the "To" field.  This is most useful in
     outgoing folder where the address of the recipient is displayed in the
     "From" column.

   * Messages may now be threaded.  Messages with similar subject lines can
     be grouped together regardless of the sort criteria.  You may specify
     whether the oldest or newest message in the thread is to be used in the
     sort comparison.

   * Ishmail will now remember the names of the most recently saved-to folders.
     The list is displayed in the Message->Save->To Folder (Recent) and
     Folder->Open (Recent) menus.

   * Ishmail will now display a hierarchical menu containing the names of all
     folders in your folder directory.  This menu is available through the
     "Message->Save->To Folder (List)" and "Folder->Open (List)" functions.

   * You may now select one or more folders then save one or more messages
     to the selected folders.  This function is available as
     Message->Save->To Selected.

   * There is now a "Set Status" function in the Message menu to allow
     explicit control of the message status bits (eg. Read/Unread/New,
     Saved, Forwarded)

   * The composition and reading preferences are now accessible from the
     main window.

   * Preferences are now saved the way they are originally typed rather than
     the way they appear after wildcards and variables are expanded.

   * The "Apply Current/Apply Future" choices are now in each Preferences
     dialog rather than in a second dialog.  Select one or the other before
     pressing Ok or Apply.

   * The environment variable "ISHMAILRC" can now be used to point to an
     alternate .ishmailrc file.  The default is $HOME/.ishmailrc.

   * Custom button layout is now automatic.  You no longer have to specify the
     number of rows/columns.

   * These general preferences have been added:

      * You may now specify whether messages that have been read are
        automatically archived to another folder when the in-box is saved.

      * You may now specify whether new messages are marked as unread when a
	folder is saved.

      * You may now set the bell volume for new mail beeps.

      * You may now specify a prefix that your automounter adds to pathnames
	(such as /tmp_mnt).  This allows better abbreviation of folder names.

      * You may now have the positions of the main, reading and composition
	windows saved when you exit the application.

      * You may now specify whether aliases are to be sorted or not.

      * You may now specify whether all custom buttons are to be made the
        same size.

   * These folder preferences have been added:

      * You may now specify whether the folders in the folder list are to be
	sorted alphabetically or not.

      * You may now specify your preferred folder type (Unix, MH, or MMDF).

      * You may now specify whether MH folders are to be displayed in folder
	selection dialogs.

      * You may now specify your initial folders from the folder preferences
	dialog.  You may also specify whether the current set of folders is
	to be used a the initial folders the next time you start the
	application.

   * You may now specify whether certain operations are to be confirmed such
     as exiting the application and sending messages with no subject.

   * You may now specify the format in which you would like the message date
     to appear.  The syntax is that used by strftime.  See the
     Options->Message List dialog.

   * You may now save changes to all changed folders at once.

   * You may now delete folders from within Ishmail.

   * You may now cause folders to be re-read.  This is useful if the table-of-
     contents file has gotten out of sync for some reason and messages aren't
     displaying properly.

   * The name of the default save folder can now be generated from the
     sender's name, address or from a list of pattern-matching rules.

   * You may now open folders without having them activated.

   * There is now a "Sleep" function to cause all folders to be saved and
     windows to be closed.

   * There is now a "Quit" function to allow shutdown without saving changes.

   * The environment variable used to specify the location of mailcap files is
     now MAILCAPS rather than SYSMAILCAP.  The default value is:
     $HOME/.mailcap:/etc/mailcap:/usr/etc/mailcap:/usr/local/etc/mailcap

   * The x11-bitmap mailcap entry parameter is now supported.  You may override
     the built-in bitmaps and pixmaps for file types by setting this parameter.

   * MMDF-style folders are now supported.  This type of folder is a file in
     which messages start and end with a line of four ctrl-A's.  The "From "
     line found in Unix-style folders is not present.  MMDF folders will be
     a little faster due to the fact the "From " lines in the bodies of
     messages do not have to be convert to ">From ".

   * Pine-style mail aliases are now supported. Example resource definition:

      *otherAliasFiles:  $HOME/.addressbook

   * Ishmail will now save changes before exiting if a SIGHUP signal is
     received.  It will exit without saving changes if a SIGINT, SIGTERM or
     SIGPIPE is received.  To send a SIGHUP to Ishmail, use the following
     Unix command:

        kill -1 <ishmail-process-id>

   * The license file may now be given read-only permissions.  In this
     situation, all user names must already be in the file;  None will be
     automatically added.

   * There is now a button in the main window help menu that will call up the
     Ishmail User's Guide from the World Wide Web using your Web browser.

   * The fixed menu of font choices has been replaced with a font selection
     dialog from which any of the server's fonts can be selected.

   * A .lock file is no longer created for folders other than the in-box.

   * If you get warnings that the application can't allocate certain colors,
     try running with the "-privateColors" command line switch.  When this
     mode is enabled, Ishmail will get it's own colormap.  The drawback is
     that the colors of all other apps will look wrong when Ishmail is active.
     You may also set the resource "Ishmail*privateColors" to True.

- Reading

   * For mail-server file attachments, the mail to be sent to the server is
     now presented for confirmation before being sent.  This is so someone
     can't get you to send unintentional mail by setting the mail server
     address to the address of another person.

   * Attachment icons may now appear on the same line as text.  They no longer
     are forced to a line by themselves.

   * If a Content-Description header is present for a text body part, it is
     displayed and underlined at the top of the text part.

   * Ishmail will now recognize the <x-color> markup when reading
     text/enriched.  The syntax for presenting a color-coded word is:

	<x-color><param>color-name</param>text</x-color>

     The ability to add color in the composition window will come at a later
     date.

- Composition

   * The composition window now operates as a WYSIWIG editor.  If you apply
     enriched text formatting to the message, it is immediately visible.  The
     preview function has been removed.

   * There is now an "Undelete" command.  This command will restore the most
     recently deleted text.

   * An emacs mode of editing is now available  This can be enabled using the
     Window preferences dialog.  Use Help->On Keys to see which key commands
     are supported.

   * Due to the problems of line wrapping mail when a variable width font is
     used, Ishmail now displays a fixed width font when the outgoing mail type
     is "Plain".  MIME messages do not exhibit line wrap problems so a variable
     width font may be used with that message type.

   * There are now "Save" and "Load" functions that allow compositions in
     progress to be saved to files and later restored.  When a saved composition
     is later loaded, it replaces anything currently in the composition window.
     This function can be used to create message templates with pre-defined
     headers and body text.

   * The address fields now support multiple lines to ease the display of long
     addresses and address lists.  The fields can be displayed vertically (as
     was the style in version 1.0.5 and earlier) or they can be displayed
     side-by-side.  The number of visible lines in each field can also be
     specified.
     
   * Due to the potential complexity of addresses containing comment
     information, spaces can no longer be used to separate addresses unless
     specifically requested in the Composition Preferences dialog.  Commas
     and newlines can always be used to separate addresses.

   * There is now a "..." button next to each address field that will display
     a list of your mail aliases.  You may select one or more aliases from
     the list and have them added to the corresponding address field.

   * An Fcc field has been added for "Folder Carbon Copy".  This field can
     be initialized with the name of a specific folder (identical to previous
     behavior for "Copy outgoing messages to folder") or the folder name(s)
     can be generated dynamically based on:

     - The id of the user(s) to whom the mail is being sent.
     - The full address of the user(s) to whom the mail is being sent.
     - The current year, month, week or day.

   * The To, Cc and Bcc fields now support the entry of folder names.  If
     a name starting with: "/", "./", "../", "+" or "=" is found in one of
     these fields, the message is copied to that folder just as in Fcc.

   * The address and subject fields now support the encoding of 8-bit
     characters per RFC 1522.  You may choose 'Q' or 'B' encoding in the
     Mail preferences dialog.  Any words that contain 8-bit characters are
     encoded and marked with the default character set (also set in the Mail
     preferences dialog).

     When replying to messages with encoded headers, the headers are decoded
     if the character set in the header matches your character set.  If there
     is no character set match the encoded string is displayed as-is.

   * The include/attach file process has been modified to attempt to
     automatically determine the file type.

   * Ishmail can now run compositions through an external spell checker.
     Use the Composition preferences to specify the command to be used to
     run the spell checker.

   * Many composition specific preferences have been moved from the main
     preferences window to the composition preferences window.

      * The Cc, Bcc, Fcc and Additional Headers fields may now be turned on
	or off permanently.

      * There is now an option to control how the "Delete" key works.  It 
        can work like "Backspace" and delete the character to the left or
	it can delete the character to the right.

   * Preferences having to do with outgoing mail have been moved to their
     own window.

      * You may now have recipient addresses checked for validity before the 
	mail is sent.  However, in many cases this can be very slow.

      * You may now select whether you want your mail sent as plain
        text (non-MIME), as MIME or as MIME with a plain text alternative
	in front.

      * The list of addresses to be confirmed is now settable from the
	preferences dialog

      * An alternate sendmail command is now settable from the preferences
	dialog.

      * The additional mail headers are now settable from the preferences
	dialog.

      * The desired character set is no longer derived from the font name and
        may now be specified in the preferences dialog.

      * You may now specify whether you want quoted-printable encoding applied
        to messages containing 8-bit characters.  If quoted-printable encoding
	is not applied, the message is marked as containing 8-bit chars.

   * Preferences having to do with replying and forwarding have been moved
     to their own window.

      * You may now specify which headers you want to see when forwarding a
	message.  The default is to forward the displayed headers.

      * You may now specify whether you want replies to be numbered (Re[n]).
        The default is to have them numbered.

      * You may now specify whether you want the comment strings to be
        included in the address fields when you reply.  The default is
	to remove them.

      * The attribution string and begin and end forward strings may now
        contain text markup such as bold.

      * The header variable substitution pattern has been changed from
        "$header:" to "%header".  Any old-style patterns are automatically
	converted at startup.

   * Preferences having to do with the signature have been moved to their
     own window.

      * There is now an option to add the "--" string before your signature.

      * You may now specify a separate signature for internal and external mail.
	You may have a plain text and an enriched text version of each.  You may
	also specify when the enriched text version is to be used.

   * The $HOME/.mime.types file is now used to translate file suffixes into
     mime body part types.  The MIMETYPES environment variable can be used
     to point to a different file.

   * Ishmail will now inform you if you try to exit with an unsent composition
     in progress.

   * When including a message from the current folder, you may now select
     whether the message is to be included as text or as a message icon.

BUG FIXES:

   * The Content-Length header is now used if it is present.

   * The previous message no longer appears briefly when another message is
     read.                                                       

   * Double-clicking on the in-box no longer causes it to remain selected.

   * Dialogs no longer wobble around when they are first displayed.

   * The "From " line that starts each message now uses the correct date
     format in the outgoing folder.

   * Setting the text font from the Options->Fonts dialog now affects all text.

   * The current font settings are now displayed in the Font Preferences
     dialog.

   * Rich Text or Enriched Text messages containing ISO-8859-1 characters
     now print correctly.

   * The new-mail icon now updates properly under window managers that show
     the application icon even when the window is not iconified.

NOTE regarding WWW acccess:

     The Web browser command is specified in the Application Preferences
     dialog, from the Main window Options menu. It sets up the following
     resource in $HOME/.ishmailrc:

     Ishmail*webBrowserCommand:	Mosaic %s

     The color used to highlight the address can be specified as follows:

     Ishmail*urlColor:			SteelBlue

     You may also select a range of text and ctrl-click on it for the same
     effect.

NOTE regarding incoming mail alert commands:

   * The new-mail alert commands can now be passed the contents of the message,
     just the headers or just the body.  If %m is added to the command, Ishmail
     will create a file with the entire message contents and replace %m with
     the name of that file.  %h will be replaced with the name of a file
     containing just the message headers.  %b will be replaced with the name
     of a file containing just the message body.  %% will be replaced with %.
     Here is an example command that will display the Subject: and From:
     headers in a new message using the "mfyi" command:

     	mfyi -center "`egrep '^(Subject:|From:)' %h`"

NOTE regarding sorting of folders:

   * Each folder may now have its own sort criteria.  From the Options->Sort
     dialog you may choose to have the sort applied to:
     
     1) Only the current folder.
     2) Only the selected folders.
     3) All folders.
     4) As a fallback sort.  This sort applies to all folders that don't have
        their own sort rules.

     The "sortKeys" resource is used to hold the rules for the fallback sort.
     The "folderSortKeys" resource is used to hold the rules for the folder
     specific sorts and uses the same format as the "aliases" and "icons"
     resources:

	*folderSortKeys: \
	folder-name :: sort-keys; \
	folder-name :: sort-keys; \
	etc.

NOTE regarding table-of-contents files:

   * A table-of-contents file is now created for each folder.  This allows
     quicker processing of the folders and for crash recovery. The name
     of the table-of-contents file is generated from the name of the folder
     as follows:  If the name of the folder is "dir/name", the name of the
     table-of-contents file will be "dir/.name-toc".  For example, for an
     In-Box called /var/spool/mail/pat, the table-of-contents file is called
     /var/spool/mail/.pat-toc. For a mail folder called $HOME/Mail/outgoing,
     the table-of-contents file is called $HOME/Mail/.outgoing-toc.

     Ishmail uses time-stamp information to decide whether to trust the TOC
     file. For example, if you modify a folder using another mail tool,
     Ishmail will notice that the TOC file is older and will re-read the
     folder to update the TOC.

     If a TOC file is deleted, Ishmail will re-create it when required.

     The Ishmail program (the "ishmail.real" file in the "bin" subdirectory)
     should be in the "mail" group and have "Set GID" permission. This lets
     it create lock files in the system mail spool directory, as well as
     create a TOC file. The package installation programs configure this
     automatically, though you will have to do this yourself if you install
     using the "tar" file.

     If you do not want the TOC file to exist in the mail spool directory,
     for example if your system administrator objects to extraneous files
     in that directory, you may relocate the TOC file file. The environment
     variable ISHTOC can be set the the full pathname of an alternative
     location.

     NOTE: use caution when relocating a TOC file to a different file system,
     especially if either or both of the file systems are NFS-mounted. Small
     differences in the time-of-day clock among systems can result in
     misleading time-stamps on the files. In some circumstances, this could
     result in loss of a mail message. For this reason, we do not recommend
     locating the TOC file on a different host than that of the mail folder.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Changes from version 1.0.4 to 1.0.5 of Ishmail:

NEW FEATURES:

   * -iconic and -geometry are now supported on the command line.

   * There is now an "editCommand" resource with which you have complete
     control over the external editor used in the composition window.
     The default command is as follows:  
    
	 xterm -title "Edit Composition" -tm "susp ^-" -e vi $FILE           
	     
     To use emacs, add the following line to your $HOME/.ishmailrc file:        
		               
	 *editCommand:   emacs $FILE
				                                          
     To use any other editor, use one of the above 2 forms, depending on
     whether your editor creates its own window or not.

   * There is now a "confirmMailTo" that can be used to list certain mail
     addresses that you may want to think twice about sending mail to, for
     example "staff", "software", or "hardware".  This is most useful when
     you wish to reply to the sender of mail addressed to a large group and
     don't wish to accidently reply to the entire group.
     
     If mail is addressed to any of the aliases listed in this resource, a
     confirmation box is presented and you will have the option to exclude
     the alias in question from the list of recipients.  The format of the
     resource is a space-separated list of addresses:

     *confirmMailTo:	staff hardware software

BUG FIXES:

   * Addresses of the format "a, b"@c.d are now passed correctly to sendmail.

   * The alternate editor and signature editor functions work again in the
     HP version. 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Changes from version 1.0.3 to 1.0.4 of Ishmail:

BUG FIXES:

   * Initial folder names should work correctly again.

   * Attaching external files should work correctly again.

   * Text can no longer be pasted into the Help window.

   * Program no longer crashes if reading or composition window is open
     during exit.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Changes from version 1.0 to 1.0.3 of Ishmail:

IMPORTANT:

   * To preserve custom button settings from previous versions, hand edit your
     $HOME/.ishmailrc file and make the following changes:

	Change "*mainWin*msgBox"   to "*mainWin.mainWindow*msgBox"
	Change "*readWin*buttonRC" to "*readWin.mainWindow*buttonRC"
	Change "*sendWin*buttonRC" to "*sendWin.mainWindow*buttonRC"

   * If Ishmail starts up with a different font than what you are used to,
     try adding the following line to your .ishmailrc file:

	*viewDA.fontList:	none

NEW FEATURES:

   * You can now specify a mail alias file to be shared by all Ishmail users.
     The format is the same as the $HOME/.mailrc file.  The file location can
     be specified by adding the following line to the Ishmail.misc resource
     file delivered in the lib directory of the Ishmail installation tree:

     *groupMailrcFile:	full-path-of-group-mailrc-file

     The default is [ishmail-installation-dir]/lib/mailrc.

   * If you want to share alias files with other mail programs, such as a
     character-mode mail program you use when a graphics terminal is not
     available, you can do so by adding a resource to your $HOME/.ishmailrc
     file. For example:

     *otherAliasFiles:  $HOME/.zmailrc $HOME/.elm/aliases.text

     The format of alias definitions can be either mailrc (used also by
     Z-Mail) or elm.

   * If you use group or other alias files, the precedence of look-up,
     from highest to lowest, is:
       - your private aliases
       - group aliases
       - other aliases

   * Added executable signature files.  If your signature _file_ is
     executable, owned by you, and not writable by anyone else, it is run and
     the output is used as your outgoing signature.  If it is not executable
     the contents are used as your outgoing signature.

     This does not mean that signatures from incoming messages are executed
     so there should be no security concerns with this.

   * The initial visibility of the directory and file/folder lists in file
     selection dialogs can now be controlled by adding the following line
     to your $HOME/app-defaults/Ishmail resource file (choose True or False):

     *listTB.set:	[True, False]

   * You now no longer have to add ".*" to the beginning of your Alert and Icon
     patterns to get them to match a pattern in the middle of a header.
     Previously the pattern was searched for only at the beginning of each
     header.

   * The type of encoding desired can now be specified in the Include File
     dialog in the composition window.  The choices are: None, 8-bit, Base-64
     and Quoted-Printable.  Text files default to Quoted-Printable while
     binary files default to Base-64.

   * You can now specify an optional sendmail command to be used by adding
     the following line to your $HOME/.ishmailrc file:
     
     *sendmailCmd:	full-path-of-your-command

     The default is /usr/lib/sendmail.  Your command must be able to accept
     the same arguments that sendmail can (though it doesn't have to implement
     them).

   * You can now specify an optional mount point for the automounter by adding
     the following line to your $HOME/.ishmailrc file:

     *automountRoot:	full-path-of-automounter-mount-point

     The default is /tmp_mnt.

   * Wrapping lines of long outgoing messages is now much faster.

   * The "Hal" resource files have been merged into the "Ishmail" resource
     files and removed from the distribution.

BUG FIXES:

   * Tightened up security issues with respect to setgid permissions on some
     architectures.

   * Ishmail will now correctly handle a non-MIME "Content-Type: text" header
     that can be added by some mail delivery agents, particularly on Solaris
     systems.

   * The subject field can no longer be modified during a Resend.

   * Outgoing, plain-text messages containing 8-bit characters are now marked
     with the appropriate character set (based on the font being used) and
     quoted-printable encoding is applied.

   * When a folder is saved, any reading windows open to deleted messages are
     now closed.

   * Drag-and-drop now works in Motif list widgets under OSF/1.

   * The user name is no longer added repeatedly to the license file if a
     blank line is encountered.

   * Fixed bug where character set wasn't always used properly in richtext
     widget.

   * Multiple To: and Cc: headers in a message are now correctly interpreted.

   * The fields in the message list no longer bleed over the right column
     boundary.

   * Fixed bug where the first character of any additional headers was lost.

   * Tightened up destructors in hopes of avoiding the endless loop that
     sometimes happens when the X server goes away.

   * /tmp_mnt is now handled properly on Solaris systems.

   * Empty folders can now be opened.

   * Included and Attached files in the composition window can now have their
     attributes successfully modified.

   * The sign of the time offset in dates is now calculated correctly on
     Linux systems.

   * The external editor can now longer be backgrounded with ctrl-z.
     The xterm is now started with "-tm flush ^z" args.

   * "+*" and "=*" now work correctly in the initialFolders list.

   * The showPixmaps resource is now correctly handled when the initial state
     is False.

   * Changing the directory name in the File Selection dialog now correctly
     applies to any file names already entered.

   * Sun MailTool PostScript attachments are now correctly converted to MIME.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Changes from version 1.0-941109 to 1.0-941128 of ishmail:

NEW FEATURES:

   * The pattern "%s" can now be used in any Filter command and is replaced
     with the name of the file being filtered.

   * The file selection dialog now displays the file count as a directory
     is being read so that progress can be monitored.

BUG FIXES:

   * The message dialog that appears if the subject line or body of an
     outgoing message is blank now stays on top of the composition window.

   * The message list sort order is now saved correctly.

   * Sun attachment messages in MH folders are now saved correctly.

   * Certain functions such as "Folder->Open" that invoke "system()" or
    "popen()/pclose()" no longer hang if the external editor window is open.

   * "Alerts" and "Icons" resources are now written back with line breaks.

   * Dialogs that pop up from the reading and composition windows now display
     their buttons in one row rather than inheriting the number of
     rows/columns from their parent window.

   * The file name is now correctly preserved when editing an included, iconic
     text part in the composition window.

   * Fixed bug where sending a message with included, iconic text parts would
     send empty parts after the first time.

   * Fixed bug where forwarding or replying to a message with an included,
     iconic text part puts up a bogus file name.  There *is* no file associated
     with the part.

   * Attaching an rfc822 message in the composition window no longer brings
     up a bogus error dialog.

   * All content types passed to "showimage" are now forced to lower case.

   * Folders are now saved correctly on Linux systems.

   * Blank file/folder names no longer crash the system.

   * Encapsulated rfc822 messages can now be recursively printed.

   * Ishmail no longer hangs when when large messages are passed to
     non-existent filter commands.

   * Mnemonic is now spelled correctly in the Ishmail.lang file.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Changes from version 1.0-941027 to 1.0-941109 of ishmail:

NEW FEATURES:

   * In the From field in the message list, the recipient is now displayed if
     you are the sender.

   * You now no longer have to add ".*" to the beginning of search patterns
     to get them to match a pattern in the middle of a header.  Previously
     the pattern was searched for only at the beginning of each header.

   * The simple search now looks at the "To" field.

   * Added support for /filesystem@host syntax (as opposed to host:/filesystem)
     in /etc/fstab file on OSF/1

BUG FIXES:

   * Custom buttons are now saved in the correct order.

   * Tear-Off menus are now disabled by default on Linux systems.

   * Fixed bug where first included file didn't show up if more than one was
     specified

   * Mail check intervals less than 1 no longer hang the application.

   * The outgoing folder can now be an MH folder.

   * Messages being Resent are no longer decomposed and reconstructed.  They
     are just delivered as-is.

   * A directory can no longer be included in the composition window.

   * Text files included as icons in the composition window are no longer
     sent with length 0.

   * All message headers are now correctly passed to the filter command.

   * The subject line is now correctly extracted from message/rfc822 body parts.

   * In replies, all To: recipients are now transferred to the Cc: field
     rather than the To: field of the outgoing message.

   * Fixed bug where Ishmail would attempt to add reply prefix to an iconic
     text file and crash.

   * Message body parts in multipart/digests with no content-type specified
     now correctly default to message/rfc822.

   * The host name is now set correctly in the license manager even if the
     license file could not be accessed.

   * Plain text alternatives in outgoing messages are now generated only when
     requested.

   * The quoted-printable header is now added correctly when needed.

   * Added handler for SIGPIPE to try to avoid endless loop when X server
     goes away.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Changes from version 0.9 to 1.0 of ishmail:

GENERAL -----------------------------------------------------------------

* Help cards are now displayed using formatted text (multiple fonts).

* License checking is now done only at startup if the number of users is
  unlimited.

* Fixed bug with font errors under OpenWindows.

MAIN WINDOW -----------------------------------------------------------------

* Double-clicking on a folder icon now causes a check for new mail.

* Starting a drag on an unselected message causes that message to be selected
  and all others to be unselected.

* The recipients are shown, rather than the sender, in messages that are from
  you.

* The complex search patterns now match an occurrence of the pattern anywhere
  in the string and not just at the beginning.

* The simple search now looks at the To: field as well as the Subject: and
  From: fields.

COMPOSITION WINDOW ------------------------------------------------------

* There is now a confirmation dialog if you try to send a blank message or
  a message with no subject.

* There is now a confirmation dialog if you try to close a non-blank message
  that has not been sent.

* The label now changes for an encapsulated message if the subject of the
  message changes.

* Fixed bug where header fields didn't always show up.

* The To: recipients of a message are now replied to using the Cc: field
  rather than the To: field.  Only the sender is replied to using the To:
  field.

READING WINDOW ----------------------------------------------------------

* You can now select text from richtext messages.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Changes from version 0.8 to 0.9 of ishmail:

GENERAL -----------------------------------------------------------------

* The Options->Buttons dialog has been simplified.  It now shows a list of
  available buttons at the top and a list of buttons you have chosen below
  that.  You may drag entries from one list to the other or you may select
  entries and use the arrow buttons to move them.  In the bottom list, you
  may double-click an entry and edit the label and position.  You may also
  reposition entries in the bottom list by dragging them around.

* There is now a new key-based license manager.  Each copy of Ishmail must have
  a license file with a key based on the IP address of the host on which
  Ishmail is installed.  This should eliminate the "checksum" errors that
  were appearing on occasion.

* Demo versions of Ishmail now start with a dialog that allows you to request
  a demo license.  Without a demo license, sending and saving messages is
  disabled.

* The custom buttons now display correctly after changes are made.

* The window manager refresh function now redraws the Ishmail windows
  correctly.

* Wildcard expansion in the file selection box now uses the specified
  directory if the directory field is displayed.

* The OK button in the file selection box no longer grays out when the list
  is hidden.

MAIN WINDOW -------------------------------------------------------------

* Double-clicking a message now opens an iconified reading window.

* You may now drag items between the lists in the Options->Headers dialog.

* Fixed bug where alias groups such as "one,two,three" were saved as
  "onetwothree".

COMPOSITION WINDOW ------------------------------------------------------

* When including a text file, it can now be included as a separate body part.

* Invoking the external editor no longer causes a crash.

* Dropping a message attachment on itself no longer hangs the application.

* Valid message and body part drop sites are now highlighted as an item is
  dragged over them.

READING WINDOW ----------------------------------------------------------

* Printing encapsulated messages now works correctly.

* Unrecognized richtext commands are no longer displayed.

* MIME body parts are no longer saved to the folder directory by default.

* If there is no mailcap entry telling how to display a particular MIME body
  part, the warning dialog allows the part to be saved or viewed as text.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Changes from version 0.7 to 0.8 of ishmail:

GENERAL -----------------------------------------------------------------

* Ishmail now recognizes Sun Mailtool attachments and silently converts
  them to MIME format.

* MH-mail type folders are now supported.  In this scheme, a folder is stored
  as a directory and each message is saved as a numbered file in that directory.
  You do not have to be an MH user to create and use folders of this type.

  The most noticeable effect of this change is that in the File Selection
  Dialog (New-Folder, Open-Folder, Save-To-Folder, etc.), directory names now
  show up in both the directory list (for navigation) and the folder list (for
  opening).
  
* In text fields that ask for one or more file names, you can now type a
  shell wildcard or a Unix command that returns a list of file names.  The
  Unix command must be surrounded by reverse ticks (`) or it will be
  interpreted as one or more file names.

* You can now specify a wildcard or command for the "initialFolders" resource.
  As an example, you can load all the folders in your Mail directory at
  startup using the following resource in your .ishmailrc file:

# For Unix-style folders
*initialFolders:	`find $HOME/Mail -type f -print`

# For MH-style folders
*initialFolders:	`find $HOME/Mail -type d -print`

* Comments on mail aliases are no longer stored on the previous line in the
  .mailrc file.  To preserve your comments, edit your .mailrc file and make
  the following change to each alias:

  OLD FORMAT:

# User Name
alias user-alias user@address

  NEW FORMAT:

alias user-alias "user@address (User Name)"
 --- or ---
alias user-alias "User Name <user@address>"

* There are now versions for the "Linux" and DEC "osf/1" operating systems.

MAIN WINDOW -------------------------------------------------------------

* You can now display open folders with large, small or no icons.  This
  is accomplished using the "Folder List" entry in the "Options" menu.

* You can now forward more than one message at a time.  They are forwarded
  as a "digest" in MIME terminology (see Composition Window below).  Messages
  forwarded this way show up as envelope icons in the Composition Window.
  (see "Encapsulated" messages below).

* You can now forward a message as a MIME "encapsulated" message
  (message/rfc822 body type).  A message forwarded this way shows up as an
  envelope icon in the Composition Window rather than text.
  (see "Encapsulated" messages below).

* Folder names are now sorted alphabetically.

COMPOSITION WINDOW ------------------------------------------------------

* You can now add MIME "containers" (also known as "multipart") when you are
  composing messages.  The 4 types of containers are:

  * Digest - This type of container is used to group other mail messages (such
    as when forwarding).

  * Alternatives - This type of container is used to hold a group of message
    parts that are equivalent in content, but may differ in format or access
    method.  Use of this type of container gives the recipient a choice as to
    how they wish to view or retrieve your information.  The parts should be
    added to the container in order of increasing desirability to the sender.
    I.E. the part that you as the sender would most like the reader to use
    should be added last.

  * Parallel - This type of container is used to group message parts that
    should be viewed simultaneously, if possible.  An example would be a
    GIF image and a sound file that should be played as the image is being
    viewed.

  * Mixed - This type of container is just for general grouping of message
    parts.  No additional semantics are implied.

  Containers are added using the "Add Container" entry of the "Message" menu.
  Containers may be nested.
  Empty containers are not added to the outgoing message.
  A container can be deleted using popup menu available with the right mouse
     button on the container title.

* "Encapsulated" messages are displayed as envelopes.  The contents can be
   viewed/modified by double-clicking on the envelope or selecting
   "Edit Contents" from the popup menu.

* You can now drag messages from the current folder and drop them on the
  composition window.  Multiple messages are added as a digest.  The dropped
  message(s) are added after the message part on which they are dropped.  Drop
  them on the title of a container to add them after that container.  Drop them
  on the empty space at the bottom of the window to add them to then end of
  the message.

* You can rearrange the message parts of your composition by dragging them to
  other parts of the window.  The dropped part will be moved just after the
  part on which it is dropped.

* There is now an "Include Message" function.  You can specify the number of
  a message from the current folder to be included as an encapsulated message.

* In the "Include" or "Attach" dialogs, you can type more than one file name
  to add several files at once.

* Displayed composition windows are now reused if they are empty.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Changes from version 0.6 to 0.7 of ishmail:

GENERAL -----------------------------------------------------------------

* The File Selection dialog now works as follows:

   * When Opening folders:

      * If the list is displayed, folder names that aren't full pathnames are
	first looked for in the list directory and then in the user's folder
	directory.

      * If the list is not displayed, folder names that aren't full pathnames
	are first looked for in the user's  folder directory and then in the
	current directory.

   * When Saving to folders:

      * If the list is displayed, folder names that aren't full pathnames are
        first looked for in the list directory and then in the user's folder
        directory.  If the folder is not found, a new one is created in the
	user's folder directory.

      * If the list is not displayed, folder names that aren't full pathnames
        are first looked for in the user's folder directory and then in the
	current directory.  If it is found in the current directory but not
	the folder directory, the user is asked whether to use the one in the
	current directory or to create a new one in the folder directory.

   * When creating New folders:

      * If the list is displayed, folder names that aren't full pathnames are
        created in the list directory.

      * If the list is not displayed, folder names that aren't full pathnames
	are created in the user's folder directory.

* The X-Mailer header now includes 1 line about how to obtain the product.

* The .ishlock file is no longer created.  You are now allowed to run more
  than one copy of Ishmail.

* There is now a man page: ".../ishmail/{VERSION}/man/man1/ishmail.1".

* Under HP-UX, Ishmail provides no color resources so that HP-VUE can
  work properly.

MAIN WINDOW -------------------------------------------------------------

* Ctrl-Return in the text field can now be used to select Ok in the Open
  Folders dialog.

* The Scroll-To-New-Messages feature now works correctly if sorting is by
  newest first.

READING WINDOW ----------------------------------------------------------

* External body retrieval will now continue even if you stop reading the
  message.

COMPOSITION WINDOW ------------------------------------------------------

* Added a preference for setting line-wrap.  If line-wrap is enabled, included
  replies and files are also wrapped.

* Typing off the bottom will now cause the window to scroll in almost all cases.

* The Preview window now wraps correctly the first time.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Changes from version 0.5 to 0.6 of ishmail:

GENERAL -----------------------------------------------------------------

* There is now a Set button in the File Selection Dialog for setting the
  directory.  You can still hit return in the directory name field to get
  the same effect.

* The fields in the Comment window are now cleared each time the window is
  displayed.

* License manager failures now disable Composition and Reading rather than
  exiting.

MAIN WINDOW -------------------------------------------------------------

* The Folder and Message Menus have been reorganized.

* In the Message menu, there are new functions to read the next/previous
  unread message, the next/previous message with the same subject and the
  next/previous message from same sender.

* In the Folder menu, there is a new function to open a single folder.
  This allows you to hit return in the text field to accept the name.

* In the Options menu, there is a function (Fonts) that allows you to pick
  a font for your buttons, labels, text fields and lists.  Type a font name in
  the desired field or click on the "..." button to see a list of a few
  choices.  The resource "*fontWin.fontList" can be used to change the choices
  that are presented.  See the .../ishmail/{VERSION}/lib/Ishmail.fonts
  resource file for the format and default setting.

* The Folder and Message popup menus (the ones you get with the right mouse
  button over a folder icon or message list entry) now apply to all selected
  items if they are popped up over any selected item.  If they are popped up
  over an unselected item, they apply to that item only.  The menu title will
  say "Selected" if it applies to a group of items and it will contain the
  folder name or message number if it applies to a single item.

* In the Message menu, there is now a "Save-To-File" function.  This function
  asks whether you want to save the message headers.
 
* There is a new resource, "scrollToNew", that can be used to control whether
  the message list is automatically scrolled to show new messages.  There is
  also a button in the Preferences dialog for controlling this.

* Folders that can't be locked are now opened in read-only mode.

* The "signature" field in the Preferences dialog has been replaced with a
  line allowing you to specify the name of the signature file.

* Message status icons are smaller to allow tighter packing of messages.

* Folder icons now look like folders rather than mailboxes.

READING WINDOW ----------------------------------------------------------

* In the Message menu, there are new functions to read the next/previous
  unread message, the next/previous message with the same subject and the
  next/previous message from same sender.

* Richtext display speed has been improved.

* Added support for reading MIME text/enriched (this type may replace
  text/richtext someday).

* In the Message menu, there is now a "Save-To-File" function.  This function
  asks whether you want to save the message headers.
 
COMPOSITION WINDOW ------------------------------------------------------

* You can now set text to automatically wrap when you reach the right side
  of the window as you are typing.  This feature can be enabled using the
  Preferences dialog.  If wrapping is enabled, included replies and files
  will also be wrapped.

* The pushpin has been removed.  Now, any compose/reply/forward/resend
  request brings up a new composition window.

* You can now specify the MIME type and subtype for "Other" attachments.

* In the Message menu, there is now a Preview function that will show you what
  your richtext will look like to the recipient.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Changes from version 0.4 to 0.5 of ishmail:

GENERAL -----------------------------------------------------------------

* Now recognizes multiple Cc:, To:, From: and Reply-To: fields in incoming
  messages.

* The "Remove Me From Replies" function now works.

* Added a "Resend" function.

* Added a license manager.

* Made changes to speed up initialization and folder opening.

* Added button location and number of rows/columns to Custom Button dialogs.

* Added preference for turning quick-help messages off/on.

* Added code to read ELM mail folders correctly.

* Added code to use the $NAME environment variable as the user's name in
  outgoing messages.

MAIN WINDOW -------------------------------------------------------------

* Changed message status field to show more information.

* Messages marked for deletion can now be interacted with. (Read, Saved,
  Forwarded, etc.)

* Message list now scrolls to new messages automatically.

* Changed selection mechanism to be more Motif-like:

   * Left-mouse to select,
     drag to change range of selection.
   * Shift-left-mouse to extend an existing selection range,
     drag to change range.
   * Control-left-mouse to toggle the selection state of a message,
     drag to set range of messages to same state.

* Fixed up-arrow and down-arrow traversal bug.

* Created a dialog for editing the format of the message summary list.  User
  can set column positions, minimum and maximum widths and column title.
  They can also turn the status icons on and off.

  (NOTE: the minimum and maximum column widths are now in characters rather
   than pixels)

* Message list columns can now be resized using the mouse.  With the left
  mouse button, click on a column separator in the title bar and drag it
  left or right.

READING WINDOW ----------------------------------------------------------

* Added visual feedback to indicate when a MIME body part is being
  viewed or retrieved.

COMPOSITION WINDOW ------------------------------------------------------

* Moved location of "Editor" button in "Message" menu to be further from
  "Send" button.

* Made "Cc", "Bcc" and "Other" header fields optional.  They can be turned
  on and off using the "Options" menu.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Changes from version 0.3 to 0.4 of ishmail:

GENERAL -----------------------------------------------------------------

* Error reporting has been improved.

* Mail aliases are now stored in the .mailrc file so that they may be
  shared with other mail programs.  The format of aliases is:

  # austin comment
  alias austin          bubba1, bubba2, bubba3, ...

  # campbell comment
  alias campbell        dood1,  dood2,  dood3,  ...

  Since inline comments are not supported in the .mailrc syntax, any comment
  field associated with the alias should be placed on the line above.
  Comments on the previous line will be added to the alias as follows:

  austin        bubba1, bubba2, bubba3, ... (austin comment)
  campbell      dood1,  dood2,  dood3,  ... (campbell comment)

  An alternate file may be specified using the mailrcFile resource:

  ishmail.mailrcFile:	filename

* Ishmail defaults are now stored in the .ishmailrc file.  They should be
  removed from .Xdefaults, app-defaults/Ishmail or Ishmail.ad

  This only applies to ishmail resource, not X or Motif widget resources
  (such as colors and fonts).  These should be left as-is.

  If this approach isn't working, then remove all ishmail resources from your
  .Xdefaults file, delete your app-defaults/Ishmail and Ishmail.ad files
  and start over setting your preferences.

* A list of initial folders may be specified on the command line.  The
  abbreviations + and = will expand as the name of the folder directory.
  A list of initial folders may also be specified using the initialFolders
  resource:

  ishmail.initialFolders:	+folder1 +folder2 ...

* $HOME will be used as the folder directory if the directory specified by
  the folderDirectory resource or $HOME/Mail does not exist.

* The resource alertIfNewMail has been added to control the sounding of the
  new mail beep or alert.  Set the value to False if beeping is not desired.
  The default is True.

* The Motif File Selection dialog boxes have been replaced with HaL-developed
  File Selection boxes.  The functionality is similar, but hopefully better
  organized.  Multiple files may be selected where appropriate.  Lock files
  and unreadable files are not displayed in the file list.

* A column has been added in the custom button window to allow the buttons
  to be ordered.  Enter numbers in the order column to indicate the desired
  order of the buttons.

* The custom buttons may be placed at any side of the screen using the
  buttonGravity resource.  Legal values are North, South, East and West.
  The following lines can be added to the .ishmailrc file (with defaults
  shown):

  *mainShell*taskButtonBox.buttonGravity:	West
  *sendWin*buttonRC.buttonGravity:	South
  *readWin*buttonRC.buttonGravity:	South

* Additional rows and/or columns may be used for custom buttons using the
  numColumns resource.  The following lines can be added to the .ishmailrc
  file to give 2 rows or columns of custom buttons:

  *mainShell*taskButtonBox.numColumns:	2
  *sendWin*buttonRC.numColumns:		2
  *readWin*buttonRC.numColumns:		2

* Custom buttons now support quick help and on-context help.

* Ishmail now reads the signature from the file $HOME/.signature.  An
  alternate file may be specified using the signatureFile resource:

  ishmail.signatureFile:	filename

  If the signature file cannot be found or opened, the "signature" resource
  is used:

  ishmail.signature:	multi-line signature

* Alert commands are now run in the background by default

MAIN WINDOW --------------------------------------------------------------

* Folder and message icons now have popup menus.  Use the right mouse button
  to display the menu.  The menu title shows the name of the folder or number
  of the message.  Operations performed from the popup menu do not affect
  folders or messages that may have been highlighted with the left mouse button.

* The Active folder list is now referred to as the Open folder list.  The
  current folder is now referred to as the Active folder.

* A folder may now be activated by selecting it and using the Activate entry
  in the folder menu.

* The following resources are now available to set the minimum and maximum
  widths of the columns in the message summary.  The defaults are 0, meaning
  don't restrict the width.

  *msgNumColumnMaxWidth:        0
  *msgNumColumnMinWidth:        0
  *msgStatColumnMaxWidth:       0
  *msgStatColumnMinWidth:       0
  *fromColumnMaxWidth:          0
  *fromColumnMinWidth:          0
  *subjectColumnMaxWidth:       0
  *subjectColumnMinWidth:       0
  *dateColumnMaxWidth:          0
  *dateColumnMinWidth:          0
  *linesColumnMaxWidth:         0
  *linesColumnMinWidth:         0
  *bytesColumnMaxWidth:         0
  *bytesColumnMinWidth:         0

* The Alias, Alert and Icon preference dialogs have been redesigned.  The
  Add button will bring up a secondary dialog in which the name and pattern
  is typed.  Double-clicking an existing entry will bring up this same
  secondary dialog, initialized with the data for the selected entry.

* The New Folder function has been implemented in the folder menu.

* A message search/find function has been added under the Message menu in
  the main window.  In the search dialog, type a pattern in the field of a
  key on which you want to search.  This will enable the button for that key.
  Select the comparison operation and press the key button to add an
  element to the search expression.  Several elements may be combined using
  the boolean operators at the top of the dialog.

* When viewing the outgoing folder, the To: field is displayed in place of
  the From: field

* Performance of folder opening and scrolling has been improved.

* The title "Active folders" has been changed to "Open folders".

* The name "System Folder" has been changed to "In-Box".

* The "Switch to System" function in the Folder menu has been changed to
  "Activate In-Box".  An "Activate Selected" function has been added.

* The "Pipe" function is now referred to as the "Filter" function.

READING WINDOW -----------------------------------------------------------

* More than one reading window can now be up at one time.  There is now
  a pushpin in the upper right corner.  Click on the pushpin to pin the
  window to the screen.  If your window is pinned to the screen and you
  try to read another message, a new window will be created.

* Text wrapping is now available

* All message headers may be temporarily be displayed in the reading window
  using the "Show All Headers" function in the Options menu.

* Non-text MIME components are now displayed as icons in the reading and
  composition window.  Each icon has a popup menu containing functions to
  display, hide and save the component, plus a more verbose description.

* Unknown MIME types will be displayed as raw text.  The raw text for any
  MIME message can be displayed using the "Show Raw Text" function in the
  Options menu.

* Richtext messages now wrap at the right margin if that feature is enabled.

* The <bigger> and <smaller> richtext directives are now supported.

* Alternate character sets are now supported for MIME plaintext and richtext
  components.

* A function has been added to the Options menu of the reading window to
  cause the mailcap file to be read again.

* A Delete/Close function has been added to the Message menu.

* A function has been added to the Options menu to cause the mailcap file
  to be re-read in case it has changed.

COMPOSITION WINDOW -------------------------------------------------------

* More than one composition window can now be up at one time.  There is now
  a pushpin in the upper right corner.  Click on the pushpin to pin the
  window to the screen.  If your window is pinned to the screen and you
  try to start another composition, a new window will be created.  If
  your window is not pinned to the screen, ishmail will ask you if you
  want to replace the composition in progress.  If you answer yes, the
  existing window will be used.  If you answer no, a new window will be
  popped up.

* When a message is sent that contains richtext, an alternative plaintext
  component is also sent and is placed ahead of the richtext component in
  the message.  This is for people using non-MIME-aware mail readers.  They
  will see the plaintext part first and be able to read it.  MIME-aware mail
  readers will ignore the plaintext component.

* These additional MIME types may be included in or attached to a composition:
  Application/Octet-Stream (catch-all for binary files)
  Application/PostScript
  Application/ODA

* Additional mail headers may now be specified in the composition window.

* Outgoing messages may be automatically split into smaller pieces.  MIME-aware
  mail readers will transparently reassemble the incoming pieces.  The
  Preferences dialog contains the options for enabling and controlling
  splitting.

* The Send function now clears the headers and body by default.  In the
  Message menu, the Send/Clear function has been replaced with the opposite
  Send/Keep Text.

* The "Include File" function has been replaced with an "Include" sub-menu.
  The "Include Message" and "Include Signature" functions have been moved
  to the Include sub-menu.

* The "Attach File" function has been replaced with an "Attach" sub-menu.

* In the Edit menu, the commands "Bigger" and "Smaller" have been added.
  The "Center", "Left Justify" and "Right Justify" commands have been moved
  to a Justify sub-menu.  The Indent and Outdent commands have been moved
  to an Indent sub-menu.  A "Character Set" sub-menu has been added to
  allow specification of alternate character sets.

* In richtext editing, <nl> tokens are no longer added with each carriage
  return.  They must be explicitly added using ctrl-CR
